Name: sendmail
Version: 8.8.7
Release: 20
Summary: sendmail mail transport agent
Copyright: BSD
Group: Networking/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.cs.berkeley.edu/ucb/sendmail/sendmail.8.8.7.tar.gz
Source1: sendmail.init
Source2: http://www.informatik.uni-kiel.de/%7Eca/email/rules/check.tar
Source3: aliases
Source4: sendmail.sysconfig
Patch0: sendmail-8.8.7-misc.patch
Patch1: sendmail-8.8.7-cf.patch
Patch2: sendmail-8.7.1-makemapman.patch
Patch3: sendmail-8.7.1-smrsh.patch
Patch4: sendmail-8.8.7-db1.patch
Patch5: sendmail-8.8.7-rmail.patch
Buildroot: /var/tmp/sendmail.root
Prereq: /sbin/chkconfig
Summary(de): sendmail-Mail-bertragungsagent
Summary(fr): Agent de transport de courrier sendmail
Summary(tr): Elektronik posta hizmetleri sunucusu

%description
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

If you need the ability to send and receive mail via the internet
you'll need sendmail.

%package doc
Summary: sendmail documentation
Group: Daemons
Summary(de): Sendmail-Dokumentation 
Summary(fr): Documentation de sendmail
Summary(tr): sendmail belgeleri

%description doc
This package includes release notes, the sendmail FAQ, and a few
papers written about sendmail.  The papers are available in PostScript
and troff.

%package cf
Summary: sendmail configuration files and m4 macros
Group: Daemons
Summary(de): sendmail-Konfigurationsdateien und m4-Makros 
Summary(fr): fichiers de configuration sendmail et macros m4
Summary(tr): sendmail ayar dosyalar ve makrolar

%description cf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.  For example, the default sendmail.cf is
not configured for UUCP.  If you need to send and receive mail
over UUCP, you may need this package to help you reconfigure sendmail.

%description -l de doc
Dieses Paket beinhaltet Release-Notes, die hufigsten Fragen und 
Antworten (FAQ) zu Sendmail sowie ein paar Artikel ber Sendmail. 
Die letzteren sind sowohl in PostScript als auch in troff verfgbar. 

%description -l de cf
Dieses Paket enthlt alle Konfigurationsdateien, die zum Erzeugen
der Sendmail.cf-Datei erforderlich sind, die mit dem Basis-
Sendmail-Paket geliefert wird. Sie werden darauf nicht verzichten
wollen, wenn Sie Ihre Sendmail-cf-Datei neu konfigurieren und bauen
wollen. Die Standard-Sendmail.cf.-Datei ist z.B. nicht fr UUCP
konfiguriert. Wenn Sie also Post ber UUCP versenden und empfangen
wollen, brauchen Sie es fr eine Neukonfiguration.

%description -l de
Sendmail bertrgt Mails zwischen Rechnern. Es implementiert
eine allgemeine Mail-Routing-Funktion ber das Netzwerk mit 
Aliasing und Weiterleiten von Nachrichten, automatischem
Routing an Netzwerk-Gateways und flexible Konfiguration.
Wenn Sie E-Mails ber das Internet senden und empfangen
mchten, brauchen Sie sendmail.

%description -l fr doc
Paquetage contenant les remarques sur la version, la FAQ sendmail et
quelques articles sur sendmail. Ces articles sont au format PostScript
et troff.

%description -l fr cf
Ce package contient tous les fichiers de configuration utiliss
pour gnrer le fichier sendmail.cf distribu avec le package de
base sendmail. Vous n'aurez besoin de ce package que pour 
reconfigurer et reconstruire votre fichier sendmail.cf. Par exemple
Le sendmail.cf par dfaut n'est pas configur pour UUCP. Si vous devez
recevoir des mails avec UUCP, vous aurez besoin de ce package pour
reconfigurer sendmail.

%description -l fr
Sendmail est un agent de transport de courrier, qui est le programme
transfrent le courrier d'une machine  l'autre. Sendmail implmente
une facilit gnrale de routage de courrier entre les rseaux, permet
l'\"aliasing\" et le \"forwarding\", un routage automatique sur les
passerelles du rseau, et une configuration flexible.

%description -l tr doc
Bu paket, sendmail ile ilgili oka sorulan sorular ve sendmail hakknda
yazlm makalelerin bir ksmn iermektedir.

%description -l tr cf
Bu paket, sendmail paketi ile datlan sendmail.cf dosyasn oluturmak
iin kullanlan tm ayar dosyalarn ierir. sendmail.cf dosyasn batan
ayarlayp kurmak iin kullanlr.

%description -l tr
Sendmail, bir mektubu bir makineden dierine tar. Pek ok davran
ayarlanabilir. Internet zerinden mektup almak veya gndermek istiyorsanz
bu pakete gereksiniminiz olacaktr.

%prep
%setup -q -n sendmail-8.8.7

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cd cf
tar xvf $RPM_SOURCE_DIR/check.tar
chown root.root hack/* README.check
cd ..

# see if building against db1 is necessary
if [ -f /usr/lib/libdb1.so.2 ]; then
%patch4 -p1
fi
%patch5 -p1 -b .rmail

%build
cd src
rm -f Makefile
ln -sf Makefiles/Makefile.Linux Makefile
make DESTDIR=$RPM_BUILD_ROOT sendmail
cd ..

cd mailstats
rm -f Makefile
make CFLAGS="$RPM_OPT_FLAGS -I../src -DNEWDB" LDFLAGS=-s mailstats
cd ..

cd rmail
rm -f Makefile
make CFLAGS="$RPM_OPT_FLAGS -I../src -DNEWDB" LDFLAGS=-s rmail
cd ..

cd makemap
# see if building against db1 is necessary
if [ -f /usr/lib/libdb1.so.2 ]; then
   cc -o makemap $RPM_OPT_FLAGS -I../src -DNEWDB -DNOT_SENDMAIL makemap.c ../src/safefile.c -ldb1
else
   cc -o makemap $RPM_OPT_FLAGS -I../src -DNEWDB -DNOT_SENDMAIL makemap.c ../src/safefile.c -ldb
fi
cd ..

cd praliases
rm -f Makefile
# see if building against db1 is necessary
if [ -f /usr/lib/libdb1.so.2 ]; then
   cc -I../src $RPM_OPT_FLAGS -DNEWDB -s -o praliases praliases.c -ldb1
else
   cc -I../src $RPM_OPT_FLAGS -DNEWDB -s -o praliases praliases.c -ldb
fi
cd ..

cd smrsh
cc -static -s -o smrsh -DCMDDIR=\"/etc/smrsh\" \
	-DPATH=\"/bin:/sbin:/usr/bin:/usr/sbin\" smrsh.c
cd ..

cd cf/cf
m4 redhat.mc > redhat.cf

%install
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
mkdir -p etc/rc.d/init.d etc/rc.d/rc0.d etc/rc.d/rc1.d etc/rc.d/rc2.d etc/rc.d/rc3.d etc/rc.d/rc4.d etc/rc.d/rc5.d etc/rc.d/rc6.d etc/sysconfig
mkdir -p usr/bin usr/lib usr/man/man1 usr/man/man5 usr/man/man8 usr/sbin var/log var/spool usr/lib/sendmail-cf
cd -
echo "# sendmail.cw - include all aliases for your machine here." > $RPM_BUILD_ROOT/etc/sendmail.cw
(cd src; make DESTDIR=$RPM_BUILD_ROOT install)
install -s -m755 mailstats/mailstats $RPM_BUILD_ROOT/usr/bin
install -s -m755 praliases/praliases $RPM_BUILD_ROOT/usr/bin

install -s -m755 rmail/rmail $RPM_BUILD_ROOT/usr/bin
install -m644 rmail/rmail.8 $RPM_BUILD_ROOT/usr/man/man8

install -s -m755 makemap/makemap $RPM_BUILD_ROOT/usr/bin
install -m644 makemap/makemap.8 $RPM_BUILD_ROOT/usr/man/man8

install -m755 smrsh/smrsh $RPM_BUILD_ROOT/usr/sbin
install -m644 smrsh/smrsh.8 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/smrsh

# install docs by hand
mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail
cp -ar FAQ KNOWNBUGS READ_ME RELEASE_NOTES doc $RPM_BUILD_ROOT/usr/doc/sendmail
cp smrsh/README $RPM_BUILD_ROOT/usr/doc/sendmail/README.smrsh

# install the cf files
cd cf
cp -ar * $RPM_BUILD_ROOT/usr/lib/sendmail-cf
cd -

install -m644 cf/cf/redhat.cf $RPM_BUILD_ROOT/etc/sendmail.cf
install -m644 $RPM_SOURCE_DIR/aliases $RPM_BUILD_ROOT/etc/aliases

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install -d -m755 -g mail -o root $RPM_BUILD_ROOT/var/spool/mqueue

mkdir -p $RPM_BUILD_ROOT/etc/mail
cd $RPM_BUILD_ROOT/etc/mail
touch ip_allow
touch name_allow
touch relay_allow
touch deny
touch deny.db
chmod 644 deny.db

install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K30sendmail

cd $RPM_BUILD_ROOT
strip usr/bin/mailstats usr/bin/praliases usr/bin/rmail usr/sbin/sendmail
strip usr/bin/makemap

touch etc/aliases.db
chown root.mail etc/aliases.db
chmod 644 etc/aliases.db

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/newaliases > /dev/null
cd /etc/mail
/usr/bin/makemap hash deny < deny > /dev/null
/sbin/chkconfig --add sendmail

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del sendmail
fi

%files
%defattr(-,root,root)
/usr/bin/mailstats
/usr/bin/praliases
/usr/bin/hoststat
/usr/bin/purgestat
/usr/bin/rmail
/usr/bin/makemap
/usr/sbin/sendmail
/usr/bin/newaliases
/usr/bin/mailq
/usr/sbin/smrsh
/usr/lib/sendmail

/usr/man/man8/rmail.8
/usr/man/man8/makemap.8
/usr/man/man8/sendmail.8
/usr/man/man5/aliases.5
/usr/man/man1/newaliases.1
/usr/man/man1/mailq.1

/var/log/sendmail.st
/usr/lib/sendmail.hf
%config /etc/sendmail.cf
%config /etc/sendmail.cw
%config /etc/aliases
%ghost /etc/aliases.db
%dir /var/spool/mqueue
%dir /etc/smrsh
%dir /etc/mail
%config /etc/mail/ip_allow
%config /etc/mail/name_allow
%config /etc/mail/relay_allow
%config /etc/mail/deny
%ghost /etc/mail/deny.db
%config /etc/sysconfig/sendmail

%config /etc/rc.d/init.d/sendmail
%config(missingok) /etc/rc.d/rc0.d/K30sendmail
%config(missingok) /etc/rc.d/rc1.d/K30sendmail
%config(missingok) /etc/rc.d/rc2.d/S80sendmail
%config(missingok) /etc/rc.d/rc3.d/S80sendmail
%config(missingok) /etc/rc.d/rc4.d/S80sendmail
%config(missingok) /etc/rc.d/rc5.d/S80sendmail
%config(missingok) /etc/rc.d/rc6.d/K30sendmail

%files cf
%defattr(-,root,root)
/usr/lib/sendmail-cf

%files doc
%defattr(-,root,root)
/usr/doc/sendmail

%changelog
* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly.

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.
